all: ../for_upload/mz_escape.bmf

../for_upload/mz_escape.bmf: livelost.bmf GFX/* LEVELS/* SND/* config
	bmfcompress META config ../for_upload/mz_escape.bmf

livelost.bmf: livelost/*
	bmfcompress 2 6 livelost.bmf livelost beep.ogg

clean:
	rm -f ../for_upload/mz_escape.bmf
	rm -f *.bmf
